## ros-indigo-dynamic-tf-publisher 2.2.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dynamic_tf_publisher)

find_package(catkin REQUIRED COMPONENTS geometry_msgs roscpp rospy std_msgs message_generation dynamic_reconfigure)
add_service_files(DIRECTORY srv
  FILES DeleteTF.srv DissocTF.srv SetDynamicTF.srv AssocTF.srv)
generate_messages(
  DEPENDENCIES geometry_msgs
)
generate_dynamic_reconfigure_options(
  cfg/TfParameter.cfg
  )


catkin_package(
    DEPENDS
    CATKIN_DEPENDS geometry_msgs message_runtime
    INCLUDE_DIRS
    LIBRARIES
)

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(PROGRAMS src/tf_publish.py src/tf_set.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY samples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-indigo-dynamic-tf-publisher (2.2.10-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sat, 03 Nov 2018 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.8-0trusty) trusty; urgency=high

  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * Contributors: Yuto Uchimi

 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 01 Nov 2018 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 27 Jun 2018 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 05 Jan 2018 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 19 Jun 2017 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.4-0trusty) trusty; urgency=high

  * add ROSIntrupptException, not to show strage message on shutting down (#1522 <https://github.com/jsk-ros-pkg/jsk_common/pull/1522>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 14 Jun 2017 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 23 Mar 2017 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Dec 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 13 Dec 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.2.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 28 Oct 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.1.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 14 Sep 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.1.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 07 Sep 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.1.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 06 Sep 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.17-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 21 Jul 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.16-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 19 Jun 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.15-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 13 Jun 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.14-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sat, 14 May 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.13-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.12-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 18 Apr 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.11-0trusty) trusty; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * Contributors: Kei Okada

 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 20 Mar 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.10-0trusty) trusty; urgency=high

  * [tf_publisher.py] do not import genpy since it is not used
  * [tf_publish.py] remove backward compatibility
  * queue_size is new in hydro and necessary from indigo
  * Contributors: Eisoku Kuroiwa

 -- Ryohei Ueda <garaemon@gmail.com>  Sat, 13 Feb 2016 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.9-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.8-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.7-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.6-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.5-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 30 Nov 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.4-0trusty) trusty; urgency=high

  * [dynamic_tf_publisher] Moreh helpful debug message and fix several typos
  * [dynamic_tf_publisher] Use with to acquire lock
  * [dynamic_tf_publisher] Advertise services at the last of initialization
  * [dynamic_tf_publisher] Check service collision in launching tf_publish
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 25 Nov 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.3-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 24 Jul 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.2-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 07 Jul 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.1-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 28 Jun 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (2.0.0-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 19 Jun 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (1.0.72-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 07 Jun 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (1.0.71-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 17 May 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (1.0.70-0trusty) trusty; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 08 May 2015 00:00:00 -0000

ros-indigo-dynamic-tf-publisher (1.0.69-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-dynamic-tf-publisher
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <garaemon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-rospy, ros-indigo-tf
Homepage: http://ros.org/wiki/dynamic_tf_publisher
Standards-Version: 3.9.2

Package: ros-indigo-dynamic-tf-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-rospy, ros-indigo-tf
Description: dynamically set the tf trensformation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dynamic-tf-publisher//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
